# Variable DeepNamespaceContext`Const`

DeepNamespaceContext: Context<{
all: (() => INamespaces);
delete: ((namespace) => void);
insert: ((namespace, deep) => void);
select: ((namespace) => any);
}> = ...

#### Type declaration

- ##### all: (() => INamespaces)

  - - (): INamespaces

    - #### Returns INamespaces

- ##### delete: ((namespace) => void)

  - - (namespace): void

    - #### Parameters

      - namespace: string

      #### Returns void

- ##### insert: ((namespace, deep) => void)

  - - (namespace, deep): void

    - #### Parameters

      - namespace: string
      - deep: any

      #### Returns void

- ##### select: ((namespace) => any)

  - - (namespace): any

    - #### Parameters

      - namespace: string

      #### Returns any

- Defined in work/deeplinks/deeplinks/imports/client.tsx:1830